package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 订单前缀
 */
@AllArgsConstructor
@Getter
public enum EOrderPrefix {

    /**
     * 默认
     */
    DEFAULT("DO", "默认"),

    /**
     * 销售订单
     */
    ORDER_CODE("BLSO", "销售订单"),

    /**
     * 发货单
     */
    DELIVERY_CODE("BLSD", "发货单"),

    /**
     * 充值
     */
    RECHARGE_CODE("BLRC", "充值"),

    /**
     * 转账
     */
    TRANSFER_CODE("TF", "转账"),

    /**
     * 提现
     */
    WITHDRAWAL_CODE("WR", "提现"),

    /**
     * 冻结金额
     */
    FROZEN_CODE("FA", "转账"),

    /**
     * 交易流水
     */
    TRADE_CODE("TD", "交易流水"),

    /**
     * 退款
     */
    REFUND_CODE("RT", "退款"),

    /**
     * 撤销订单
     */
    REVOKE_ORDER_CODE("RK", "撤销订单"),

    /**
     * 三方相关
     */
    THIRD_CODE("TC", "三方相关"),

    /**
     * 审批
     */
    APPROVAL_CODE("BD", "审批"),

    /**
     * 在线支付
     */
    ON_LINE("OL", "非订单在线支付"),

    /**
     * 修改安置
     */
    UPDATE_PLACE_PARENT("PP", "修改安置"),
    /**
     * 业务办理
     */
    HANDLE_BUSINESS("HB", "业务办理"),
    /**
     * 修改直推
     */
    UPDATE_PARENT("UP", "修改直推"),
    /**
     * 修改会员编号 修改结算国 修改政策币
     */
    SPECIAL_UPDATE_CODE("SC", "修改会员编号"),
    /**
     * 自助服务
     */
    SELF_SERVICE("SS", "自助服务"),
    /**
     * 注水业绩
     */
    MEMBER_ACHIEVE("MH", "注水业绩"),

    /**
     * 公告
     */
    NOTICE("NT", "公告"),

    /**
     * 站内信
     */
    MESSAGE_PLATFORM("MP", "站内信"),

    /**
     * 活动编号
     */
    ACTIVITY_CODE("AC", "活动编号"),
    /**
     * 营业执照
     */
    BUSINESS_LICENSE("BL", "营业执照"),

    /**
     * 产品编号
     */
    PRODUCT_CODE("PC", "产品编号"),

    /**
     * 产品相关
     */
    PRODUCT("CP", "产品相关");

    /**
     * 实际值
     */
    private final String value;
    /**
     * 显示标签
     */
    private final String label;

}
